---
title: "flux delete image command"
---
## flux delete image

Delete image automation objects

### Synopsis

The delete image sub-commands delete image automation objects.

### Options

```
  -h, --help   help for image
```

### Options inherited from parent commands

```
      --context string      kubernetes context to use
      --kubeconfig string   absolute path to the kubeconfig file
  -n, --namespace string    the namespace scope for this operation (default "flux-system")
  -s, --silent              delete resource without asking for confirmation
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [flux delete](../flux_delete/)	 - Delete sources and resources
* [flux delete image policy](../flux_delete_image_policy/)	 - Delete an ImagePolicy object
* [flux delete image repository](../flux_delete_image_repository/)	 - Delete an ImageRepository object
* [flux delete image update](../flux_delete_image_update/)	 - Delete an ImageUpdateAutomation object

